# Uses of Interface
org.eclipse.ltk.core.refactoring.participants.IConditionChecker

Packages that use IConditionChecker
Package
Description
org.eclipse.ltk.core.refactoring.participants
Application programming interface to participant in existing rename, move and delete refactorings if the refactoring provider supports participation.

## Uses of IConditionChecker in org.eclipse.ltk.core.refactoring.participants

Classes in org.eclipse.ltk.core.refactoring.participants that implement IConditionChecker
Modifier and Type
Class
Description
`class`
`ResourceChangeChecker`
A resource operation checker is a shared checker to collect all changes done by the refactoring and the participants to resources so that they can be validated as one change.
`class`
`ValidateEditChecker`
A validate edit checker is a shared checker to collect files to be validated all at once.
Methods in org.eclipse.ltk.core.refactoring.participants with type parameters of type IConditionChecker
Modifier and Type
Method
Description
`<T extends IConditionChecker>
T`
CheckConditionsContext.`getChecker(Class<T> clazz)`
Returns the condition checker of the given type.
Methods in org.eclipse.ltk.core.refactoring.participants with parameters of type IConditionChecker
Modifier and Type
Method
Description
`void`
CheckConditionsContext.`add(IConditionChecker checker)`
Adds the given condition checker.